GuidesAPI Reference
Log In
API Reference

Create User

Create a new driver or dispatcher in Bringg.

Body Params
string

The ID of the user in your system.

string

The new user's name. The maximum length is 255 characters.

string

The email address of the new user. The default value is an empty string. An email address is required to access the Bringg Platform (Dispatchers and Admins)

string

The new user's phone number, not required to access the Bringg Platform Driver's can login to the Bringg Drive App using Phone or Email

string

Determines the UI language for the user. Usually a two-letter code e.g. "en" for English, "fr" for French, etc. When null, the UI uses the merchant's default language.

boolean

Indicates whether the new user is an administrator. The values are: false or 0 - the user is not an admin; true or 1 - the user is an admin.

boolean

Indicates whether the new user is a dispatcher. The values are: false or 0 - the user is not a dispatcher; true or 1 - the user is a dispatcher. Default is "false".

boolean

Indicates whether the new user is a driver. The values are: false or 0 - the user is not a driver; true or 1 - the user is a driver. Default is "true".

external_team_ids
array of strings

An array of the external team Id's for the teams of which the new user is a member.

external_team_ids
team_ids
array of numbers

An array of the team Id's for the teams of which the new user is a member.

team_ids
int32

The ID of the dispatcher or driver's Privileges group, which associates a dispatcher user with a set of authorization flags.

string

The driver user role ID in your external systems. Can be used instead of user_type_id.

int32

The ID of the User Role (for drivers)

skills
array of strings

Driver capabilities, such as installation. Bringg matches these skills with the required_skills parameter to automatically assign routes to the most suitable driver based on their capabilities.

skills
string

Used to define the Bringg Platform landing page after logging in Options include: 'top_menu_dispatch_v2', 'top_menu_planning_v2', 'top_menu_dispatch_list', 'top_menu_planning', 'top_menu_history', 'top_menu_drivers', 'top_menu_customers', 'top_menu_reports', 'top_menu_bi_dashboard', 'top_menu_support'

driver_cost
object

The costs associated with the specific driver's skills, distance, and time. These costs are used by route optimization to prioritize drivers and overrides group-level costs.
Important Notes:
- We recommend keeping driver-specific costs below 10 due to the high impact on optimization results.
- To optimize using costs by skills, provide a breakdown of estimated time on site (ETOS) for each skill in the Create or Update Order request under the extras array. For example: "extras":{ "skills_etos": {"Skill_A": 1000, "Skill_B": 1700} }
- If included, all costs must be specified, even if some are null or 0.

int32

Your ID for the group of users within a team. See Get Companies API.

string

The driver's home address, which can be used as a start or end location in route optimization.

int32

The geolocation latitude of this driver's home address.

int32

The geolocation longitude of this driver's home address.

boolean
Defaults to true

Indicates whether the driver uses their own vehicle to determine if mileage should be compensated.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json